@import '../../app';

$circle-size-md: 22vh;
$circle-size-sm: 28vh;

.cls-1{
  fill: $secondary;
}
.cls-1:hover {

}


.jumbotron {
  color: white;
  //background-image: url("../../assets/About_Hero_Wallpaper.jpg");
  background: rgb(255,168,41);
  background: -moz-linear-gradient(180deg, rgba(255,168,41,1) 0%, rgba(255,200,117,1) 45%, rgba(255,255,255,1) 100%);
  background: -webkit-linear-gradient(180deg, rgba(255,168,41,1) 0%, rgba(255,200,117,1) 45%, rgba(255,255,255,1) 100%);
  background: linear-gradient(180deg, rgba(255,168,41,1) 0%, rgba(255,200,117,1) 45%, rgba(255,255,255,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffa829",endColorstr="#ffffff",GradientType=1);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  width: 100vw;
  padding: 0px;
  object-fit: contain;
}


.circle {
  grid-column: 2 / span 1;
  grid-row: 2/2;
  display: block;

  background-color: $secondary;
  -moz-border-radius: 50%;
  border-radius: 50%;
  text-align: center;
}

.card-img-top {
  object-fit: cover;
}

@media (max-width: $MD) {  // small

  .jumbotron {
    height: calc(100vh - #{$NAVBAR_SM_HEIGHT});
  }

  .hero-container {
    display: grid;
    grid-template-columns: 5% auto 5%;
    grid-template-rows: 20%
      25%
      30%
      auto
      10%;
    justify-items: center;
  }

  .circle {
    height: $circle-size-sm;
    width: $circle-size-sm;
  }

  .hero-logo {
    grid-column: 2 / 2;
    grid-row: 2 / span 1;
    height: 30vh;
    place-self: center;
  }

  .hero-hashtag {
    grid-column: 2 / span 1;
    grid-row: 3 / span 1;
    place-self: center;
    font-size: 10vw;
  }

  .hero-goDown {
    grid-row: 5 / span 1;
    grid-column: 2 / span 1;
    width: 3rem;
    height: 3rem;

    -webkit-animation: up-down infinite 1s alternate;
  }
}

@media (min-width: $MD) {  //  medium and higher

  .jumbotron {
    height: calc(100vh - #{$NAVBAR_MD_HEIGHT});//100 - $NAVBAR_MD_HEIGHT;
  }

  .hero-container {
    display: grid;
    grid-template-columns: 25% auto 25%;
    grid-template-rows: 20% //  margine top
    25%  //  logo grande
    12.5%  //  hastag sotto
    auto  //  spacer
    10%; // arrow button
    grid-row-gap: 20px;
    justify-items: center;
  }

  .circle {
    height: $circle-size-md;
    width: $circle-size-md;
  }

  .hero-logo {
    grid-column: 2 / span 1;
    grid-row: 2/2;
    place-self: center;
    height: 100%;
    -webkit-animation: antiRotation .5s;
  }

  .hero-hashtag {
    grid-column-start: 2;
    grid-column-end: 2;
    grid-row-start: 3;
    grid-row-end: 3;
  }

  .hero-goDown {
    grid-row: 5 / span 1;
    grid-column: 2 / span 1;
    width: 3rem;
    height: 3rem;

    -webkit-animation: up-down infinite 1s alternate;
  }

}

.hero-logo:hover {
  -webkit-animation: completeRotation 1s;
}

.about-us-text {
  line-height: 5vh;
  font-size: 2vh;
}

.end-page {
  background: rgb(255,255,255);
  background: -moz-linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(255,200,117,1) 75%, rgba(255,168,41,1) 100%);
  background: -webkit-linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(255,200,117,1) 75%, rgba(255,168,41,1) 100%);
  background: linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(255,200,117,1) 75%, rgba(255,168,41,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#ffa829",GradientType=1);
}

@media (min-width: 1440px) {
  .card-img-top {
    height: 25vw;
    width: 100%;
    object-fit: cover;
  }

  .card {
    min-height: 55vh;
  }
}

@media (min-width: 768px) {
  .card-img-top {
    height: 26vw;
  }
  .card {
    min-height: 55vh;
  }
}

